<?php

namespace App\Http\Middleware;

use App\Models\User;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class ElfinderAccessMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        $user = Auth::user();
        if ($user->hasRole('manager')) {
            config(['elfinder.access' => 'all']);
        } elseif ($user->hasRole('team_member')) {
            config(['elfinder.access' => 'team']);
        } elseif ($user->hasRole('auditor')) {
            config(['elfinder.access' => 'view']);
        } else {
            return redirect('/login');
        }

        return $next($request);
    }
}
