<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;

class RoleSeed extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {


        // Create roles
        $admin = Role::create(['name' => 'manager']);
        $teamMember = Role::create(['name' => 'team_member']);
        $auditor = Role::create(['name' => 'auditor']);

        // Create permissions
        Permission::create(['name' => 'view files']);
        Permission::create(['name' => 'upload files']);
        Permission::create(['name' => 'delete files']);

        // Assign permissions to roles
        $admin->givePermissionTo(['view files', 'upload files', 'delete files']);
        $teamMember->givePermissionTo(['view files', 'upload files']);
        $auditor->givePermissionTo(['view files']);
    }
}
