<table class="w-full bg-white border border-gray-200 rounded-lg shadow-md">
    <thead>
        <tr class="bg-gray-100 border-b">
            <th class="px-6 py-3 text-left text-xs font-medium text-gray-600 uppercase tracking-wider">
                Department Name
            </th>
            <th class="px-6 py-3 text-left text-xs font-medium text-gray-600 uppercase tracking-wider">
                Path
            </th>
            <th class="px-6 py-3 text-left text-xs font-medium text-gray-600 uppercase tracking-wider">
                action
            </th>
        </tr>
    </thead>
    <tbody class="divide-y divide-gray-200">
        @foreach ($departments as $department)
            <tr class="hover:bg-gray-50">
                <td class="px-6 py-4 text-sm font-medium text-gray-900">
                    {{ $department->name }}
                </td>
                <td class="px-6 py-4 text-sm text-gray-500">
                    {{ $department->path }}
                </td>
                <td class="px-6 py-4 text-sm text-gray-500">
                    <div class="flex space-x-4">
                        <!-- Edit Icon -->
                        <a href="{{ route('department.edit', $department->id) }}"
                            class="text-blue-500 hover:text-blue-700">
                            <i class="fas fa-edit"></i>
                        </a>
                        <form action="{{ route('department.destroy', $department->id) }}" method="POST"
                            onsubmit="return confirm('Are you sure?');">
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="text-red-500 hover:text-red-700">
                                <i class="fas fa-trash"></i>
                            </button>
                        </form>
                    </div>
                </td>
            </tr>
        @endforeach
    </tbody>
</table>
